body{

    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 125vh;



}


img{
    background-image: url('bts.png');
    position: absolute;
    left: 20px;
    top: 40px;
    width: 300px;
    height: 110px;

}

.container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    position: absolute;
    bottom: 210px;
    font-family: Andale Mono, monospace;

}

.container a {
    position: relative;
    display: inline-block;
    padding: 15px 20px;
    border: 3px solid green;
    margin: 20px;
    text-transform: uppercase;
    font-weight: 600;
    text-decoration: none;
    letter-spacing: 2px;
    color: white;
    -webkit-box-reflect :below 0px linear-gradient(transparent, #0002);
    transition: 0s;

}


.container a:hover{
    transition-delay: 1.5s;
    color:#000;
    box-shadow: 0 0 10px #0f0,
    0 0 20px #0f0,
    0 0 40px #0f0,
    0 0 80px #0f0,
    0 0 160px #0f0;

}

.container a span{
    position: relative;
    z-index: 100;
}



.container a:nth-child(2){
    filter: hue-rotate(80deg);
}

.container a::before{
    content: '';
    position: absolute;
    left: -20px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 4px;
    background: #0f0;
    box-shadow: 5px -8px 0 #0f0,
                5px 8px 0 #0f0;
    transition: width 0.5s,left 0.5s, height 0.5s,
    box-shadow 0.5s ;
    transition-delay: 1s, 0.5s,0s,0s;




}

.container a:hover::before{
    width: 60%;
    height: 100%;
    left: -10px;

    
    box-shadow: 5px 0 0 #0f0,
                5px 0 0 #0f0,;
    transition-delay: 0s,0s,0.5s,1s,1s;
    

}

.container a::after{
    content: '';
    position: absolute;
    right: -20px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 4px;
    background: #0f0;
    box-shadow: -5px -8px 0 #0f0,
                -5px 8px 0 #0f0;
    transition: width 0.5s,left 0.5s, height 0.5s,
    box-shadow 0.5s ;
    transition-delay: 1s, 0.5s,0s,0s;




}

.container a:hover::after{
    width: 60%;
    height: 100%;
    right: -10px;
    box-shadow: -5px 0 0 #0f0,
                -5px 0 0 #0f0,;
    transition-delay: 0s,0s,0.5s,1s,1s;
    

}





h2{
    position: absolute;
    left: 118px;
    top: 280px;
    color: white;
    font-size: 85px;
    font-family: Andale Mono, monospace		;



}

p{
    position: absolute;
    left: 120px;
    bottom: 300px;
    color: white;
    font-size: 35px;
    font-family: Andale Mono, monospace	;
    letter-spacing: 0.5px;

}

::-webkit-scrollbar
{
    width: 0;





}

#scrollpath{

    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    height: 100%;
    background: rgba(red, green, blue, alpha);


}

#progressbar{
    position: fixed;
    top: 0;
    right: 0;
    width: 11px;
    height: 100%;
    background: linear-gradient(to top ,#008aff,#00ffe7);
    animation: animate 5s linear infinite;


}

@keyframes animate
{
    0%,100%
    {
        filter: hue-rotate(0deg);
    } 

    50%
    {
        filter: hue-rotate(360deg);
    }

}

#progressbar:before {

    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top ,#008aff,#00ffe7);
    filter: blur(10px);


}

#progressbar:after {

    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top ,#008aff,#00ffe7);
    filter: blur(30px);


}






